[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'FPCanvas' (#fcl)

# TFPPenStyle

TFPPenStyle - Solid, Dash, Dot, DashDot, DashDotDot, insideFrame, Pattern, Clear

## Declaration

Source position: fpcanvas.pp line 105

`type TFPPenStyle = (`
`psSolid,` |  | A solid drawn pen
`psDash,` |  | A dashed drawn pen
`psDot,` |  | A dotted drawn pen
`psDashDot,` |  | A pen drawn with alternating dashes and dots
`psDashDotDot,` |  | A pen drawn with alternating dashes and double dots
`psinsideFrame,` |  | A solid pen with offset depending on pen width
`psPattern,` |  | A custom drawn pattern
`psClear` |  | A clear pen (nothing is drawn)
`);`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .